ubuntu edgy ispconfig install errors

Discussion in 'Installation/Configuration' started by xmanhattan, Mar 27, 2007.

  1. xmanhattan

    xmanhattan New Member

    Hi,

    Just loaded ubuntu 6.10 on my system and that went fine.
    After following the install info on this site, I decided to try ispconfig 2.2.11.

    Unfortunately after compiling, it says that apache, spamassassin, clamav, are not there although I have already installed them.
    Another peculiar item is that it appears to be looking for apache 1.3 rather than apache 2.0.

    I tried using 2.2.10 but still received the same errors.

    Should I be using the expert mode of installation?

    I have attached a text file of the output if anyone cares to have a look.

    Peter
     

    Attached Files:

  2. till

    till Super Moderator Staff Member ISPConfig Developer

    You mix something up. This are not the ubuntu packages that are missing and ISPConfig is not looking for a 1.3 apache on ubuntu, it has its own apache 1.3 listening on port 81 for the controlpanel only.

    No.

    The problem is that Ubuntu 6.10 has a broken bash shell because they linked /bin/sh to another shell which breaks many scripts including the openssl script.

    Please execute:

    rm -f /bin/sh
    ln -s /bin/bash /bin/sh

    end then unpack and install ISPConfig again.
     
  3. xmanhattan

    xmanhattan New Member

    Hello Till,

    Many thanks. That was the missing piece of info.

    Although I saw one error message regarding a missing file proftpd.conf, it is working.

    I just logged into it using the internal ip and changed the password as noted in the instructions.

    Peter
     
  4. LowWalker

    LowWalker New Member

    I also get a fail when trying to install ISPconfig, there is another thread closer to my problem but it is locked and points to this thread.

    I am running fedora 9, using the Perfect server setup

    Below is what i get when attempting to install. I have reinstalled mysql, all php's, updated zlib and I am still getting the error.

    I am on 64 bit fedora.

    Much thanks for any suggestions
     
  5. falko

    falko Super Moderator ISPConfig Developer

    There must have been other errors before the ones you posted. Please post the full error output.
     
  6. LowWalker

    LowWalker New Member

    well there is one message that concerns me, but overall no other obvious errors to my eye

     

    Attached Files:

  7. falko

    falko Super Moderator ISPConfig Developer

Share This Page